# Uses of Interface
org.apache.wiki.api.search.SearchResult

Packages that use SearchResult
Package
Description
org.apache.wiki.api.providers
Page Providers' API package of JSPWiki.

## Uses of SearchResult in org.apache.wiki.api.providers

Methods in org.apache.wiki.api.providers that return types with arguments of type SearchResult
Modifier and Type
Method
Description
`Collection<SearchResult>`
PageProvider.`findPages(QueryItem[] query)`
Finds pages based on the query.